Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class AbstractContentFactory

    java.lang.Object
      net.fortuna.ical4j.model.AbstractContentFactory

Direct Known Subclasses:
  ParameterFactoryImpl, PropertyFactoryImpl

    public abstract class AbstractContentFactory

extends Object

Abstract implementation of a content factory.

Author:
  Ben Fortuna

Field Summary
`protected Map` | `factories`

Constructor Summary
`AbstractContentFactory()` Default constructor.

Method Summary
`protected boolean` | `allowIllegalNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factories

    protected Map factories

Constructor Detail

### AbstractContentFactory

    public AbstractContentFactory()

  Default constructor.

Method Detail

### allowIllegalNames

    protected boolean allowIllegalNames()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.